com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled.

Atlassian JIRA | mohammed Rafeeque | 1 year ago
tip
Click on the to mark the solution that helps you, Samebug will learn from it.
As a community member, you’ll be rewarded for you help.
  1. 0

    On windows remote agent, Bamboo plan execution is failing if source repository is set as mercurial. Bamboo plan are running successfully on Linux agent. Windows remote agent: Java version: java version "1.8.0_66" Mercurial version: Mercurial Distributed SCM (version 3.6.3) Bamboo server System Information: System Properties System Date Thursday, 21 Jan 2016 System Time 19:44:59 Up Time 1 month, 8 hours, 2 minutes, 24 seconds (since Mon Dec 21 11:42:35 IST 2015) Username root User Timezone Asia/Calcutta User Locale English (United States) System Encoding UTF-8 Operating System Linux 3.0.76-0.11-default Operating System Architecture amd64 Available Processors 16 Application Server Container jetty/7.6.2.v20120308 Java / JVM Information Java Version 1.6.0_30 Java Vendor Sun Microsystems Inc. JVM Spec. Version 1.0 JVM Spec. Vendor Sun Microsystems Inc. JVM Version 20.5-b03 JVM Vendor Sun Microsystems Inc. JVM Name Java HotSpot(TM) 64-Bit Server VM JRE Version 1.6.0_30-b12 JRE Name Java(TM) SE Runtime Environment Enabled Plugins ActiveObjects Plugin - Bamboo SPI implementation - 0.19.11.bamboo.4 Vendor: Atlassian Software Systems ActiveObjects Plugin - OSGi Bundle - 0.19.11.bamboo.4 Vendor: Atlassian Apache HttpClient OSGi bundle - 4.1.2 Vendor: The Apache Software Foundation Apache HttpCore OSGi bundle - 4.1.2 Vendor: The Apache Software Foundation Applinks Product Plugin - 3.10.1 Vendor: Atlassian Artifact Handlers for Remote Agents - 1.0 Vendor: Atlassian Software Systems Pty Ltd Artifact Handlers for Remote and Elastic Agents - 1.0 Vendor: Atlassian Software Systems Pty Ltd Atlassian Bamboo .NET Plugin - 3.11 Vendor: Atlassian Atlassian Bamboo Ant Task Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Build Number Stamper Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Clover Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo FishEye Web Repository Viewer - 4.4.5 Vendor: Atlassian Atlassian Bamboo Git Repository Plugin - 2.5.8.1 Vendor: Atlassian Atlassian Bamboo Grails Builder Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo JIRA Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Jenkins Importer Plugin - 1.4 Vendor: Atlassian Software Systems Pty Ltd Atlassian Bamboo Labeller Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Maven Tasks Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Mercurial Repository Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Navlinks Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo PHP Builder Plugin - 4.4.5 Exception error message: com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. at com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:152) at com.atlassian.util.concurrent.LazyReference.get(LazyReference.java:115) at com.atlassian.bamboo.repository.RepositoryDataImpl.getRepository(RepositoryDataImpl.java:136) at com.atlassian.bamboo.v2.build.BuildContextHelper.rewire(BuildContextHelper.java:32) at com.atlassian.bamboo.v2.build.agent.BuildAgentControllerImpl.waitAndPerformBuild(BuildAgentControllerImpl.java:86) at com.atlassian.bamboo.v2.build.agent.DefaultBuildAgent$1.run(DefaultBuildAgent.java:111) at com.atlassian.bamboo.build.pipeline.concurrent.NamedThreadFactory$2.run(NamedThreadFactory.java:52) at java.lang.Thread.run(Unknown Source) Caused by: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. at com.atlassian.bamboo.repository.RepositoryReference.create(RepositoryReference.java:41) at com.atlassian.bamboo.repository.RepositoryReference.create(RepositoryReference.java:10) at com.atlassian.util.concurrent.LazyReference$Sync.run(LazyReference.java:326) at com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:146) ... 7 more Can you please check this and provide a solution.

    Atlassian JIRA | 1 year ago | mohammed Rafeeque
    com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled.
  2. 0

    On windows remote agent, Bamboo plan execution is failing if source repository is set as mercurial. Bamboo plan are running successfully on Linux agent. Windows remote agent: Java version: java version "1.8.0_66" Mercurial version: Mercurial Distributed SCM (version 3.6.3) Bamboo server System Information: System Properties System Date Thursday, 21 Jan 2016 System Time 19:44:59 Up Time 1 month, 8 hours, 2 minutes, 24 seconds (since Mon Dec 21 11:42:35 IST 2015) Username root User Timezone Asia/Calcutta User Locale English (United States) System Encoding UTF-8 Operating System Linux 3.0.76-0.11-default Operating System Architecture amd64 Available Processors 16 Application Server Container jetty/7.6.2.v20120308 Java / JVM Information Java Version 1.6.0_30 Java Vendor Sun Microsystems Inc. JVM Spec. Version 1.0 JVM Spec. Vendor Sun Microsystems Inc. JVM Version 20.5-b03 JVM Vendor Sun Microsystems Inc. JVM Name Java HotSpot(TM) 64-Bit Server VM JRE Version 1.6.0_30-b12 JRE Name Java(TM) SE Runtime Environment Enabled Plugins ActiveObjects Plugin - Bamboo SPI implementation - 0.19.11.bamboo.4 Vendor: Atlassian Software Systems ActiveObjects Plugin - OSGi Bundle - 0.19.11.bamboo.4 Vendor: Atlassian Apache HttpClient OSGi bundle - 4.1.2 Vendor: The Apache Software Foundation Apache HttpCore OSGi bundle - 4.1.2 Vendor: The Apache Software Foundation Applinks Product Plugin - 3.10.1 Vendor: Atlassian Artifact Handlers for Remote Agents - 1.0 Vendor: Atlassian Software Systems Pty Ltd Artifact Handlers for Remote and Elastic Agents - 1.0 Vendor: Atlassian Software Systems Pty Ltd Atlassian Bamboo .NET Plugin - 3.11 Vendor: Atlassian Atlassian Bamboo Ant Task Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Build Number Stamper Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Clover Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo FishEye Web Repository Viewer - 4.4.5 Vendor: Atlassian Atlassian Bamboo Git Repository Plugin - 2.5.8.1 Vendor: Atlassian Atlassian Bamboo Grails Builder Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo JIRA Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Jenkins Importer Plugin - 1.4 Vendor: Atlassian Software Systems Pty Ltd Atlassian Bamboo Labeller Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Maven Tasks Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Mercurial Repository Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo Navlinks Plugin - 4.4.5 Vendor: Atlassian Atlassian Bamboo PHP Builder Plugin - 4.4.5 Exception error message: com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. at com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:152) at com.atlassian.util.concurrent.LazyReference.get(LazyReference.java:115) at com.atlassian.bamboo.repository.RepositoryDataImpl.getRepository(RepositoryDataImpl.java:136) at com.atlassian.bamboo.v2.build.BuildContextHelper.rewire(BuildContextHelper.java:32) at com.atlassian.bamboo.v2.build.agent.BuildAgentControllerImpl.waitAndPerformBuild(BuildAgentControllerImpl.java:86) at com.atlassian.bamboo.v2.build.agent.DefaultBuildAgent$1.run(DefaultBuildAgent.java:111) at com.atlassian.bamboo.build.pipeline.concurrent.NamedThreadFactory$2.run(NamedThreadFactory.java:52) at java.lang.Thread.run(Unknown Source) Caused by: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. at com.atlassian.bamboo.repository.RepositoryReference.create(RepositoryReference.java:41) at com.atlassian.bamboo.repository.RepositoryReference.create(RepositoryReference.java:10) at com.atlassian.util.concurrent.LazyReference$Sync.run(LazyReference.java:326) at com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:146) ... 7 more Can you please check this and provide a solution.

    Atlassian JIRA | 1 year ago | mohammed Rafeeque
    com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled.
  3. 0

    Saved 3.2.0 installation to xml and restored to 3.3.2. Got the following error but don't know how do you resolve the error that is reported? Restart does not help. I am ok having the plugin disabled, so why doesn't it startup? {noformat} 2011-10-14 08:38:32 fatal bootstrap Bamboo has encountered errors while upgrading. Please resolve these errors and restart Bamboo. Upgrade task for build 2703 failed with exception: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. 2011-10-14 08:38:32,478 ERROR [2-UpgradeTaskBackgroundThread:pool-8-thread-1] [DefaultRepositoryManager] Could not find repository plugin with key 'fr.calitech.bamboo.plugins.repository.dummy:dummy'. This build will be unable to build. 2011-10-14 08:38:32,479 ERROR [2-UpgradeTaskBackgroundThread:pool-8-thread-1] [AbstractUpgradeManager] com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. at com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:152) at com.atlassian.util.concurrent.LazyReference.get(LazyReference.java:115) at com.atlassian.bamboo.repository.RepositoryDefinitionImpl.getRepository(RepositoryDefinitionImpl.java:121) at com.atlassian.bamboo.repository.migration.RepositoryConfigurationConverter.stripAndSaveRepositoryConfiguration(RepositoryConfigurationConverter.java:107) at com.atlassian.bamboo.upgrade.tasks.UpgradeTask2703MoveRepositoryConfigIntoTable$2.doInHibernate(UpgradeTask2703MoveRepositoryConfigIntoTable.java:105) at org.springframework.orm.hibernate.HibernateTemplate.execute(HibernateTemplate.java:370) at com.atlassian.bamboo.persistence.BambooTransactionHibernateTemplate$2.doInTransactionWithoutResult(BambooTransactionHibernateTemplate.java:51) at org.springframework.transaction.support.TransactionCallbackWithoutResult.doInTransaction(TransactionCallbackWithoutResult.java:33) at org.springframework.transaction.support.TransactionTemplate.execute(TransactionTemplate.java:127) at com.atlassian.bamboo.persistence.BambooTransactionHibernateTemplate.execute(BambooTransactionHibernateTemplate.java:46) at com.atlassian.bamboo.upgrade.tasks.UpgradeTask2703MoveRepositoryConfigIntoTable.doUpgrade(UpgradeTask2703MoveRepositoryConfigIntoTable.java:89) at com.atlassian.bamboo.upgrade.AbstractUpgradeManager.runUpgradeTask(AbstractUpgradeManager.java:200) at com.atlassian.bamboo.upgrade.UpgradeManagerImpl.doUpgrade(UpgradeManagerImpl.java:91) at com.atlassian.bamboo.upgrade.UpgradeLauncher$1.call(UpgradeLauncher.java:115) at com.atlassian.bamboo.upgrade.UpgradeLauncher$1.call(UpgradeLauncher.java:112) at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303) at java.util.concurrent.FutureTask.run(FutureTask.java:138) at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441) at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303) at java.util.concurrent.FutureTask.run(FutureTask.java:138) at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) at com.atlassian.bamboo.build.pipeline.concurrent.NamedThreadFactory$2.run(NamedThreadFactory.java:50) at java.lang.Thread.run(Thread.java:680) Caused by: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. at com.atlassian.bamboo.repository.RepositoryReference.create(RepositoryReference.java:31) at com.atlassian.bamboo.repository.RepositoryReference.create(RepositoryReference.java:8) at com.atlassian.util.concurrent.LazyReference$Sync.run(LazyReference.java:326) at com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:146) ... 23 more 2011-10-14 08:38:32,480 INFO [2-UpgradeTaskBackgroundThread:pool-8-thread-1] [AbstractUpgradeManager] Completed upgrade task 2703 with errors. 2011-10-14 08:38:32,481 FATAL [main] [UpgradeLauncher] Upgrade task error: Upgrade task for build 2703 failed with exception: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. 2011-10-14 08:38:32,567 INFO [main] [AccessLogFilter] AccessLogFilter initialized. Format is: <user> <url> <starting memory free (kb)> +- <difference in free mem (kb)> <query time (ms)> {noformat}

    Atlassian JIRA | 5 years ago | Bob Swift [Bob Swift Atlassian Add-ons]
    com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled.
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Cannot load repository. Plugins may have been disabled. - Atlassian Answers

    atlassian.com | 8 months ago
    com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled.
  6. 0

    Saved 3.2.0 installation to xml and restored to 3.3.2. Got the following error but don't know how do you resolve the error that is reported? Restart does not help. I am ok having the plugin disabled, so why doesn't it startup? {noformat} 2011-10-14 08:38:32 fatal bootstrap Bamboo has encountered errors while upgrading. Please resolve these errors and restart Bamboo. Upgrade task for build 2703 failed with exception: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. 2011-10-14 08:38:32,478 ERROR [2-UpgradeTaskBackgroundThread:pool-8-thread-1] [DefaultRepositoryManager] Could not find repository plugin with key 'fr.calitech.bamboo.plugins.repository.dummy:dummy'. This build will be unable to build. 2011-10-14 08:38:32,479 ERROR [2-UpgradeTaskBackgroundThread:pool-8-thread-1] [AbstractUpgradeManager] com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. at com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:152) at com.atlassian.util.concurrent.LazyReference.get(LazyReference.java:115) at com.atlassian.bamboo.repository.RepositoryDefinitionImpl.getRepository(RepositoryDefinitionImpl.java:121) at com.atlassian.bamboo.repository.migration.RepositoryConfigurationConverter.stripAndSaveRepositoryConfiguration(RepositoryConfigurationConverter.java:107) at com.atlassian.bamboo.upgrade.tasks.UpgradeTask2703MoveRepositoryConfigIntoTable$2.doInHibernate(UpgradeTask2703MoveRepositoryConfigIntoTable.java:105) at org.springframework.orm.hibernate.HibernateTemplate.execute(HibernateTemplate.java:370) at com.atlassian.bamboo.persistence.BambooTransactionHibernateTemplate$2.doInTransactionWithoutResult(BambooTransactionHibernateTemplate.java:51) at org.springframework.transaction.support.TransactionCallbackWithoutResult.doInTransaction(TransactionCallbackWithoutResult.java:33) at org.springframework.transaction.support.TransactionTemplate.execute(TransactionTemplate.java:127) at com.atlassian.bamboo.persistence.BambooTransactionHibernateTemplate.execute(BambooTransactionHibernateTemplate.java:46) at com.atlassian.bamboo.upgrade.tasks.UpgradeTask2703MoveRepositoryConfigIntoTable.doUpgrade(UpgradeTask2703MoveRepositoryConfigIntoTable.java:89) at com.atlassian.bamboo.upgrade.AbstractUpgradeManager.runUpgradeTask(AbstractUpgradeManager.java:200) at com.atlassian.bamboo.upgrade.UpgradeManagerImpl.doUpgrade(UpgradeManagerImpl.java:91) at com.atlassian.bamboo.upgrade.UpgradeLauncher$1.call(UpgradeLauncher.java:115) at com.atlassian.bamboo.upgrade.UpgradeLauncher$1.call(UpgradeLauncher.java:112) at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303) at java.util.concurrent.FutureTask.run(FutureTask.java:138) at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441) at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303) at java.util.concurrent.FutureTask.run(FutureTask.java:138) at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) at com.atlassian.bamboo.build.pipeline.concurrent.NamedThreadFactory$2.run(NamedThreadFactory.java:50) at java.lang.Thread.run(Thread.java:680) Caused by: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. at com.atlassian.bamboo.repository.RepositoryReference.create(RepositoryReference.java:31) at com.atlassian.bamboo.repository.RepositoryReference.create(RepositoryReference.java:8) at com.atlassian.util.concurrent.LazyReference$Sync.run(LazyReference.java:326) at com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:146) ... 23 more 2011-10-14 08:38:32,480 INFO [2-UpgradeTaskBackgroundThread:pool-8-thread-1] [AbstractUpgradeManager] Completed upgrade task 2703 with errors. 2011-10-14 08:38:32,481 FATAL [main] [UpgradeLauncher] Upgrade task error: Upgrade task for build 2703 failed with exception: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled. 2011-10-14 08:38:32,567 INFO [main] [AccessLogFilter] AccessLogFilter initialized. Format is: <user> <url> <starting memory free (kb)> +- <difference in free mem (kb)> <query time (ms)> {noformat}

    Atlassian JIRA | 5 years ago | Bob Swift [Bob Swift Atlassian Add-ons]
    com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Cannot load repository. Plugins may have been disabled.

    1 unregistered visitors

    Root Cause Analysis

    1. java.lang.IllegalStateException

      Cannot load repository. Plugins may have been disabled.

      at com.atlassian.bamboo.repository.RepositoryReference.create()
    2. com.atlassian.bamboo
      RepositoryReference.create
      1. com.atlassian.bamboo.repository.RepositoryReference.create(RepositoryReference.java:41)
      2. com.atlassian.bamboo.repository.RepositoryReference.create(RepositoryReference.java:10)
      2 frames
    3. com.atlassian.util
      LazyReference.get
      1. com.atlassian.util.concurrent.LazyReference$Sync.run(LazyReference.java:326)
      2. com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:146)
      3. com.atlassian.util.concurrent.LazyReference.get(LazyReference.java:115)
      3 frames
    4. com.atlassian.bamboo
      NamedThreadFactory$2.run
      1. com.atlassian.bamboo.repository.RepositoryDataImpl.getRepository(RepositoryDataImpl.java:136)
      2. com.atlassian.bamboo.v2.build.BuildContextHelper.rewire(BuildContextHelper.java:32)
      3. com.atlassian.bamboo.v2.build.agent.BuildAgentControllerImpl.waitAndPerformBuild(BuildAgentControllerImpl.java:86)
      4. com.atlassian.bamboo.v2.build.agent.DefaultBuildAgent$1.run(DefaultBuildAgent.java:111)
      5. com.atlassian.bamboo.build.pipeline.concurrent.NamedThreadFactory$2.run(NamedThreadFactory.java:52)
      5 frames
    5. Java RT
      Thread.run
      1. java.lang.Thread.run(Unknown Source)
      1 frame